summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2019-06-08 18:27:39 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2019-06-08 18:27:47 +0200
commit8e6b5b032e2acc885b6c08992d8f7685ca62257d (patch)
treefacdc6e6fb7ced1e5c3130f5e660e88b91a46ae4 /bin
parent646e93ea45412aab6611f1803c2ee805f0d725ee (diff)
downloaddeployment-8e6b5b032e2acc885b6c08992d8f7685ca62257d.tar.gz
deployment-8e6b5b032e2acc885b6c08992d8f7685ca62257d.tar.bz2
deployment-8e6b5b032e2acc885b6c08992d8f7685ca62257d.zip
silent grep
Diffstat (limited to 'bin')
-rwxr-xr-xbin/taler-deployment-shared-data2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/taler-deployment-shared-data b/bin/taler-deployment-shared-data
index 28e4388..17061ae 100755
--- a/bin/taler-deployment-shared-data
+++ b/bin/taler-deployment-shared-data
@@ -33,7 +33,7 @@ fi
# Check if shared-data/ has the right group (test|demo),
# and set the SETGID permission if so.
SHARED_DATA_GROUP=$(stat -L --format "%G" $SHARED_DATA)
-if ! echo $SHARED_DATA_GROUP | grep "^$TALER_CONFIG_ENV$"; then
+if ! echo $SHARED_DATA_GROUP | grep -q "^$TALER_CONFIG_ENV$"; then
echo "$SHARED_DATA has the wrong group ($SHARED_DATA_GROUP), please fix."
exit 1
fi